# Project (LWJGL API)
Date: 2015-07-28

## org.lwjgl.util.glu
Class Project

    java.lang.Object
      org.lwjgl.util.glu.Util
          org.lwjgl.util.glu.Project

    public class Project

extends Util

Project.java

Created 11-jan-2004

Author:
  Erik Duijs

Constructor Summary
`Project()`

Method Summary
`static void` `gluLookAt(float eyex, float eyey, float eyez, float centerx, float centery, float centerz, float upx, float upy, float upz)` Method gluLookAt
`static void` `gluPerspective(float fovy, float aspect, float zNear, float zFar)` Method gluPerspective.
`static void` `gluPickMatrix(float x, float y, float deltaX, float deltaY, java.nio.IntBuffer viewport)` Method gluPickMatrix
`static boolean` `gluProject(float objx, float objy, float objz, java.nio.FloatBuffer modelMatrix, java.nio.FloatBuffer projMatrix, java.nio.IntBuffer viewport, java.nio.FloatBuffer win_pos)` Method gluProject
`static boolean` `gluUnProject(float winx, float winy, float winz, java.nio.FloatBuffer modelMatrix, java.nio.FloatBuffer projMatrix, java.nio.IntBuffer viewport, java.nio.FloatBuffer obj_pos)` Method gluUnproject

Methods inherited from class org.lwjgl.util.glu.Util
`bytesPerPixel, ceil, compPerPix, cross, glGetIntegerv, nearestPower, normalize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Project

    public Project()

Method Detail

### gluPerspective

    public static void gluPerspective(float fovy,
                                      float aspect,
                                      float zNear,
                                      float zFar)

  Method gluPerspective.

  Parameters:
    `fovy` -
    `aspect` -
    `zNear` -
    `zFar` -

### gluLookAt

    public static void gluLookAt(float eyex,
                                 float eyey,
                                 float eyez,
                                 float centerx,
                                 float centery,
                                 float centerz,
                                 float upx,
                                 float upy,
                                 float upz)

  Method gluLookAt

  Parameters:
    `eyex` -
    `eyey` -
    `eyez` -
    `centerx` -
    `centery` -
    `centerz` -
    `upx` -
    `upy` -
    `upz` -

### gluProject

    public static boolean gluProject(float objx,
                                     float objy,
                                     float objz,
                                     java.nio.FloatBuffer modelMatrix,
                                     java.nio.FloatBuffer projMatrix,
                                     java.nio.IntBuffer viewport,
                                     java.nio.FloatBuffer win_pos)

  Method gluProject

  Parameters:
    `objx` -
    `objy` -
    `objz` -
    `modelMatrix` -
    `projMatrix` -
    `viewport` -
    `win_pos` -

### gluUnProject

    public static boolean gluUnProject(float winx,
                                       float winy,
                                       float winz,
                                       java.nio.FloatBuffer modelMatrix,
                                       java.nio.FloatBuffer projMatrix,
                                       java.nio.IntBuffer viewport,
                                       java.nio.FloatBuffer obj_pos)

  Method gluUnproject

  Parameters:
    `winx` -
    `winy` -
    `winz` -
    `modelMatrix` -
    `projMatrix` -
    `viewport` -
    `obj_pos` -

### gluPickMatrix

    public static void gluPickMatrix(float x,
                                     float y,
                                     float deltaX,
                                     float deltaY,
                                     java.nio.IntBuffer viewport)

  Method gluPickMatrix

  Parameters:
    `x` -
    `y` -
    `deltaX` -
    `deltaY` -
    `viewport` -

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.